Vector BLF: Vector::BLF::CanFdErrorFrame64 Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::CanFdErrorFrame64 Struct Referencefinal

CAN_FD_ERROR_64. More...

`#include <CanFdErrorFrame64.h>`

Inheritance diagram for Vector::BLF::CanFdErrorFrame64:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
virtual bool | hasExtData () const
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const
Public Member Functions inherited from Vector::BLF::CanFdExtFrameData
| CanFdExtFrameData (const CanFdExtFrameData &)=default
CanFdExtFrameData & | operator= (const CanFdExtFrameData &)=default
| CanFdExtFrameData (CanFdExtFrameData &&)=default
CanFdExtFrameData & | operator= (CanFdExtFrameData &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint8_t | channel {}
| application channel
uint8_t | dlc {}
| CAN dlc.
uint8_t | validDataBytes {}
| Valid payload length of data.
uint8_t | ecc {}
uint16_t | flags {}
uint16_t | errorCodeExt {}
uint16_t | extFlags {}
| FD specific flags.
uint8_t | extDataOffset {}
uint8_t | reservedCanFdErrorFrame1 {}
uint32_t | id {}
| CAN ID.
uint32_t | frameLength {}
| message length in ns
uint32_t | btrCfgArb {}
| bit rate used in arbitration phase
uint32_t | btrCfgData {}
| bit rate used in data phase
uint32_t | timeOffsetBrsNs {}
| time offset of brs field
uint32_t | timeOffsetCrcDelNs {}
| time offset of brs field
uint32_t | crc {}
uint16_t | errorPosition {}
| error position as bit offset
uint16_t | reservedCanFdErrorFrame2 {}
std::vector< uint8_t > | data {}
| CAN FD data.
std::vector< uint8_t > | reservedCanFdErrorFrame64 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type
Public Attributes inherited from Vector::BLF::CanFdExtFrameData
uint32_t | btrExtArb {}
uint32_t | btrExtData {}
std::vector< uint8_t > | reservedCanFdExtFrameData {}

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

CAN_FD_ERROR_64.

CAN-FD error frame received or transmitted on a CAN-FD channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanFdErrorFrame64::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::CanFdExtFrameData.

## ◆ read()

void Vector::BLF::CanFdErrorFrame64::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::CanFdExtFrameData.

## ◆ write()

void Vector::BLF::CanFdErrorFrame64::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::CanFdExtFrameData.

## Member Data Documentation

## ◆ btrCfgArb

uint32_t Vector::BLF::CanFdErrorFrame64::btrCfgArb {}

bit rate used in arbitration phase

CAN-FD bit timing configuration for arbiration phase, may be 0, if not supported by hardware/driver

- Bit 0-7: Quartz Frequency
- Bit 8-15: Prescaler
- Bit 16-23: BTL Cycles
- Bit 24-31: Sampling Point

## ◆ btrCfgData

uint32_t Vector::BLF::CanFdErrorFrame64::btrCfgData {}

bit rate used in data phase

CAN-FD bit timing configuration for arbiration phase, may be 0, if not supported by hardware/driver. See btrCfgArb.

## ◆ channel

uint8_t Vector::BLF::CanFdErrorFrame64::channel {}

application channel

Channel the frame was sent or received.

## ◆ crc

uint32_t Vector::BLF::CanFdErrorFrame64::crc {}

CRC checksum of corrupted message.

## ◆ data

std::vector<uint8_t> Vector::BLF::CanFdErrorFrame64::data {}

CAN FD data.

CAN FD data bytes (the actual length may be shorter than 64 bytes, according to the value of dlc, e.g. when DLC is 12 data has length 24)

## ◆ dlc

uint8_t Vector::BLF::CanFdErrorFrame64::dlc {}

CAN dlc.

Data length code of the corrupted message.

## ◆ ecc

uint8_t Vector::BLF::CanFdErrorFrame64::ecc {}

Content of Philips SJA1000 Error Code Capture register, or the Vector CAN-Core error register. See field ecc of CanErrorFrameExt.

## ◆ errorCodeExt

uint16_t Vector::BLF::CanFdErrorFrame64::errorCodeExt {}

Extended error flags. See field flagsExt of CanErrorFrameExt.

## ◆ errorPosition

uint16_t Vector::BLF::CanFdErrorFrame64::errorPosition {}

error position as bit offset

Bit position of the error frame in the corrupted message.

## ◆ extDataOffset

uint8_t Vector::BLF::CanFdErrorFrame64::extDataOffset {}

offset if extDataOffset is used

## ◆ extFlags

uint16_t Vector::BLF::CanFdErrorFrame64::extFlags {}

FD specific flags.

CAN-FD specific flags.

- Bit 0-3 Meaning:
  - unused
- Bit 0-4 Meaning:
  - 0: Error in Arbitration Phase
  - 1: Error in Data Phase
- Bit 5 Meaning:
  - 0: ESI is 0
  - 1: ESI is 1
- Bit 6 Meaning
  - 0: BRS is 0
  - 1: BRS is 1
- Bit 7 Meaning
  - 0: EDL is 0
  - 1: EDL is 1

## ◆ flags

uint16_t Vector::BLF::CanFdErrorFrame64::flags {}

Defines what additional information is valid. See field flags of CanErrorFrameExt.

## ◆ frameLength

uint32_t Vector::BLF::CanFdErrorFrame64::frameLength {}

message length in ns

Length of the error frame in nanoseconds (time difference between Start Of Frame and End Of Frame)

without 3 inter frame space bits and by Rx-message also without 1 End-Of-Frame bit

## ◆ id

uint32_t Vector::BLF::CanFdErrorFrame64::id {}

CAN ID.

Message ID of the corrupted message.

## ◆ reservedCanFdErrorFrame1

uint8_t Vector::BLF::CanFdErrorFrame64::reservedCanFdErrorFrame1 {}

resered

## ◆ reservedCanFdErrorFrame2

uint16_t Vector::BLF::CanFdErrorFrame64::reservedCanFdErrorFrame2 {}

reserved

## ◆ reservedCanFdErrorFrame64

std::vector<uint8_t> Vector::BLF::CanFdErrorFrame64::reservedCanFdErrorFrame64 {}

reserved

Note
  This usually has 8 data bytes, when CanFdExtFrameData is not used.

## ◆ timeOffsetBrsNs

uint32_t Vector::BLF::CanFdErrorFrame64::timeOffsetBrsNs {}

time offset of brs field

Time offset of bit rate switch within BRS field in nanoseconds

## ◆ timeOffsetCrcDelNs

uint32_t Vector::BLF::CanFdErrorFrame64::timeOffsetCrcDelNs {}

time offset of brs field

Time offset of bit rate switch within CRC delimiter field in nanoseconds

## ◆ validDataBytes

uint8_t Vector::BLF::CanFdErrorFrame64::validDataBytes {}

Valid payload length of data.

Number of data bytes of the corrupted message.

The documentation for this struct was generated from the following files:

- CanFdErrorFrame64.h
- CanFdErrorFrame64.cpp